Subject: [Ecrit] My PSAP Callback Observations

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 11 Mar 2012 20:28:15 +0200

Hi all, 

A few other observations from my side (based on the discussions):

a) Conveying a resource priority header to deal with congestion situations is largely orthogonal to the discussion of the PSAP callback solution since RPH may be used with any call. 
b) GRUU is used independently of the discussed PSAP callback solution. PhoneBCP also makes use of a GRUU when it is available. 
c) There are various mechanism to convey a random number that is unique to a call. Proposals I have seen on the list are: new header specific to emergency calls, media feature tag, In-Reply-To, etc. All of these identifiers will have problems with SBCs in some form or the other.
d) There is the desire to give preferential treatment for callbacks only for a certain time. The exact time will be difficult to specify but we could, for example, suggest a minimum. 
e) I took a look at http://tools.ietf.org/html/draft-ono-dispatch-attribute-validation-00 and thought that it was an interesting idea for those cases where the "random number that is unique for a call" does not work. I believe it is a better solution than a pure identity-based authorization attempt since it will not be bound to an earlier emergency call. 

Ciao
Hannes